import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ViewState, ViewStateService } from '../../router/index';
export declare class TitleComponent implements OnDestroy, OnInit, AfterViewInit {
    private steps;
    private state;
    private elementRef;
    private viewStateService;
    translate: string;
    opacity: number;
    contentElement: ElementRef;
    private subs;
    private docWidth;
    private contentWidth;
    private translateDistance;
    constructor(steps: number, state: ViewState, elementRef: ElementRef, viewStateService: ViewStateService);
    resize(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
